Bug 1460429 - [abrt] fwupd: g_variant_valist_get_leaf(): fwupd killed by signal 11
[abrt] fwupd: g_variant_valist_get_leaf(): fwupd killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fwupd (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:11127e62b185b716c5779b56e85...
:
: 1461568 1464536 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 06:30 EDT by 2284577490
Modified: 2017-06-23 13:30 EDT (History)
11 users (show)

See Also:
Fixed In Version: fwupd-0.9.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 19:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.97 KB, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: cgroup (257 bytes, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: core_backtrace (11.09 KB, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: cpuinfo (1.17 KB, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: dso_list (7.26 KB, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: environ (142 bytes, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-10 06:30 EDT, 2284577490
no flags Details
File: maps (34.53 KB, text/plain)
2017-06-10 06:31 EDT, 2284577490
no flags Details
File: open_fds (1.51 KB, text/plain)
2017-06-10 06:31 EDT, 2284577490
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2017-06-10 06:31 EDT, 2284577490
no flags Details
File: var_log_messages (1.31 KB, text/plain)
2017-06-10 06:31 EDT, 2284577490
no flags Details

  None (edit)
Description 2284577490 2017-06-10 06:30:37 EDT
Version-Release number of selected component:
fwupd-0.9.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: g_variant_valist_get_leaf
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=03644d8dfa4242d8832935fe06d1d411;i=c21f;b=ca0e3dc248124b2994e7e7dc2745bc3a;m=2547a6da;t=55197472276b3;x=c0b46a16e0caa791
kernel:         4.11.4-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_variant_valist_get_leaf at gvariant.c:5074
 #1 g_variant_valist_get at gvariant.c:5211
 #3 g_variant_get_va at gvariant.c:5473
 #4 g_variant_get at gvariant.c:5420
 #5 fu_main_daemon_method_call at ../src/fu-main.c:2050
 #6 call_in_idle_cb at gdbusconnection.c:4850
Comment 1 2284577490 2017-06-10 06:30:44 EDT
Created attachment 1286633 [details]
File: backtrace
Comment 2 2284577490 2017-06-10 06:30:46 EDT
Created attachment 1286634 [details]
File: cgroup
Comment 3 2284577490 2017-06-10 06:30:48 EDT
Created attachment 1286635 [details]
File: core_backtrace
Comment 4 2284577490 2017-06-10 06:30:50 EDT
Created attachment 1286636 [details]
File: cpuinfo
Comment 5 2284577490 2017-06-10 06:30:52 EDT
Created attachment 1286637 [details]
File: dso_list
Comment 6 2284577490 2017-06-10 06:30:54 EDT
Created attachment 1286638 [details]
File: environ
Comment 7 2284577490 2017-06-10 06:30:56 EDT
Created attachment 1286639 [details]
File: exploitable
Comment 8 2284577490 2017-06-10 06:30:58 EDT
Created attachment 1286640 [details]
File: limits
Comment 9 2284577490 2017-06-10 06:31:01 EDT
Created attachment 1286641 [details]
File: maps
Comment 10 2284577490 2017-06-10 06:31:03 EDT
Created attachment 1286642 [details]
File: open_fds
Comment 11 2284577490 2017-06-10 06:31:05 EDT
Created attachment 1286643 [details]
File: proc_pid_status
Comment 12 2284577490 2017-06-10 06:31:07 EDT
Created attachment 1286644 [details]
File: var_log_messages
Comment 13 Richard Hughes 2017-06-11 16:29:13 EDT
Does this crash reliably if you do "fwupdmgr refresh"?
Comment 14 Oleg Drokin 2017-06-12 16:08:26 EDT
I also have this crash and yes, doing fwupdmgr refresh cases fwupd crash both on fedora 25 and fedora26.
Comment 15 Richard Hughes 2017-06-12 17:37:01 EDT
Oleg, can you tell me a bit more about your system? e.g. is it something like arm64 or with some other nonstandard bits installed? Thanks.
Comment 16 Oleg Drokin 2017-06-12 18:32:40 EDT
It's a regular del latitude 7350, nothing nonstandard about it, x86_64.
It has a touchscreen (2-in-1 system).
I was under full impression that abrt would upload the crash data somewhere ,but alas, apparently not? at least I don't see it referenced anywhere.
Comment 17 Daniel Stone 2017-06-13 06:03:52 EDT
I can reproduce this at will with 'fwupdmgr refresh' on x86-64 (Skylake XPS, with all the capsule updates). This is the D-Bus message which kills it:

method call time=1497346827.621771 sender=:1.270 -> destination=org.freedesktop.fwupd serial=8 path=/; interface=org.freedesktop.fwupd; member=UpdateMetadataWithId
   string "lvfs"
   file descriptor
   file descriptor


Oddly, running fwupd itself under valgrind (whether under systemd or directly) makes the fwupdmgr call succeed, and doesn't show any memory errors, but a bunch of invalid FDs being passed to close() from the child processes, specifically always 1024..1030.

Grab me here on IRC if I can help debug any.
Comment 18 Richard Hughes 2017-06-13 12:38:39 EDT
commit b38a4fdfd631a800d4171a4eb3e519075755f430 (origin/master)
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 13 15:23:58 2017 +0100

    Fix a crash when refreshing metadata
    
    When processing the file handles it seems g_variant_get() actually wants to
    write the fd integer. This bug does not happen every time, and seems to vanish
    every time under valgrind.
    
    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1460429

:100644 100644 f1fdd68... f9b1973... M  src/fu-main.c
Comment 19 Sandro Bonazzola 2017-06-14 15:55:12 EDT
*** Bug 1461568 has been marked as a duplicate of this bug. ***
Comment 20 Fedora Update System 2017-06-15 05:41:49 EDT
fwupd-0.9.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-31eb1fad8f
Comment 21 Fedora Update System 2017-06-16 18:23:51 EDT
fwupd-0.9.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-31eb1fad8f
Comment 22 Fedora Update System 2017-06-18 19:55:03 EDT
fwupd-0.9.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Serg Redkin 2017-06-23 13:30:39 EDT
*** Bug 1464536 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.